VERSION 5.00
Begin VB.Form Form1 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Test GPP"
   ClientHeight    =   1125
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   2295
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1125
   ScaleWidth      =   2295
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Test GPP"
      Height          =   495
      Left            =   540
      TabIndex        =   0
      Top             =   300
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GPSL_SetTextLineData Lib "gpcomms.dll" _
    (ByVal wTextPosX As Integer, ByVal wTextPosY As Integer, _
    ByVal LPCTSTR As String, ByVal dwTextColor As Long, _
    ByVal bBlackBackground As Boolean, ByVal cSize As Byte, _
    ByVal bTextBold As Boolean, ByVal cFontFamily As Byte) As Boolean
    
Private Declare Function GPSL_ShowText Lib "gpcomms.dll" (ByVal bShowIt As Boolean) As Boolean

Private Declare Function GPML_SetTextMultilineData Lib "gpcomms.dll" _
    (ByVal wPosX As Integer, ByVal wPosY As Integer, _
    ByVal pText As String, ByVal dwTextColor As Long, _
    ByVal bBlackBackground As Boolean, ByVal cFontSize As Byte, _
    ByVal bTextBold As Boolean, _
    ByVal wSizeX As Integer, ByVal wSizeY As Integer, _
    ByVal cFontFamily As Byte) As Boolean
    
Private Declare Function GPML_ShowText Lib "gpcomms.dll" (ByVal bShowIt As Boolean) As Boolean

Private Declare Function GPPIC_LoadNewPicture Lib "gpcomms.dll" (ByVal LPCTSTR As String) As Boolean

Private Declare Function GPPIC_ShowPicturePos Lib "gpcomms.dll" (ByVal bShowIt As Boolean, ByVal wPosX As Integer, ByVal wPosY As Integer) As Boolean

Private Declare Function GPSI_GetScreenSize Lib "gpcomms.dll" (ByRef piScreenX As Long, ByRef piScreenY As Long) As Boolean



Private Sub Command1_Click()
    
    Dim sw As Long, sh As Long
    
    ' -- Single Line.
    
    ' Setup the single line of text.
    GPSL_SetTextLineData 500, 100, "Hello there", GetTextColour(255, 0), True, 50, True, 0
    
    ' Show the text.
    GPSL_ShowText True


    ' -- Multi Line.

    ' Setup the multi line of text.
    GPML_SetTextMultilineData 200, 200, "Hello there - in yellow" & vbCrLf & "and 50% transparency", GetTextColour(65535, 50), False, 40, False, 200, 200, 1

    ' Show the text.
    GPML_ShowText True


    ' -- Picture.
    
    ' Load the picture.
    GPPIC_LoadNewPicture App.Path & "\test.jpg"

    ' Show the picture.
    GPPIC_ShowPicturePos True, 0, 0

    
    ' -- Screen Size.
        
    ' This will return the size of the DirectX screen.
    ' It will only work when the DirectX screen is being displayed.
    GPSI_GetScreenSize sw, sh

    Debug.Print "Width: "; sw, "Height: "; sh

End Sub



Public Function GetTextColour(ByVal p_lngTextColour As Long, ByVal p_intTransparency As Integer) As Long

    ' Returns the colour that can be used by the GPP Proxy DLL.
    
    ' Parameters:
    '     p_lngTextColour = Normal RGB colour.
    '     p_intTransparency = Transparency % (0 = Full display ...to... 100 = No display)

    ' Color Sequence (&HAARRGGBB) = (AA) Alpha / Transparency, (RR) Red, (GG) Green, (BB) Blue.
    
    Dim intTransparency As Integer
    Dim intRed As Integer
    Dim intGreen As Integer
    Dim intBlue As Integer
    Dim strColour As String

    intTransparency = 255 - ((p_intTransparency / 100) * 255)
    intRed = (p_lngTextColour And &HFF&)
    intGreen = (p_lngTextColour And &HFF00&) \ &H100
    intBlue = (p_lngTextColour And &HFF0000) \ &H10000
      
    strColour = "&H"
    strColour = strColour & IIf(Len(Hex(intTransparency)) = 1, "0", "") & Hex(intTransparency)
    strColour = strColour & IIf(Len(Hex(intRed)) = 1, "0", "") & Hex(intRed)
    strColour = strColour & IIf(Len(Hex(intGreen)) = 1, "0", "") & Hex(intGreen)
    strColour = strColour & IIf(Len(Hex(intBlue)) = 1, "0", "") & Hex(intBlue)
        
    ' Return the colour as a hexadecimal string.
    GetTextColour = CLng(strColour)
  
  
End Function
